Download it now!
Bug 129993 - FILEOPEN: LWP: files with tables/columns don't open after LO3.3.4, broken formatting
Summary: FILEOPEN: LWP: files with tables/columns don't open after LO3.3.4, broken for...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-14 11:14 UTC by cvagl455
Modified: 2020-02-11 13:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testfile (with table) (25.54 KB, application/vnd.lotus-wordpro)
2020-01-14 11:18 UTC, cvagl455
Details
testfile2 (with table&columns) (29.26 KB, application/vnd.lotus-wordpro)
2020-01-14 11:19 UTC, cvagl455
Details
testfile2 (without columns) (21.97 KB, application/vnd.lotus-wordpro)
2020-01-14 11:20 UTC, cvagl455
Details
testfile2 (without table) (25.89 KB, application/vnd.lotus-wordpro)
2020-01-14 11:21 UTC, cvagl455
Details
testfile2 (without table&columns) (18.76 KB, application/vnd.lotus-wordpro)
2020-01-14 11:21 UTC, cvagl455
Details
testfile - correct look in LotusWordPro (98.67 KB, image/jpeg)
2020-01-14 11:23 UTC, cvagl455
Details
testfile2 - correct look in LotusWordPro (241.08 KB, image/jpeg)
2020-01-14 11:23 UTC, cvagl455
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cvagl455 2020-01-14 11:14:00 UTC
Description:
Lotus Word Pro 97 files with lwp extension opened no problem in
LibreOffice 3.3.4 OOO330m19 (Build:401) tag libreoffice-3.3.4.1 from 04-Aug-2011
but trying to open them in LibreOffice_6.2.4_Win_x64 (win/ubuntu/manjaro) or 6.2.8.2 (manjaro) does does not work.

Opening became erroneous in 4.4.7.2 (the tables were not displayed anymore), it was the same in LibreOffice 5.2.7.2
and finally in LibreOffice 6.2.5.2 I only get this error message:
Error
General Error.
General input/output error.

I have not tested every version, so the problem might have started in any version between 3.3.4 and 4.4.7.2.

Can you please restore the LibreOffice3 behavior?

attached some example files and how they looked in Lotus.
Lotus invoice test.lwp                      -   opens, but table vanished including it's contents, formatting changed
Lotus testfile.lwp                          -   General input/output error
Lotus testfile - without table&columns.lwp  -   opens, but numbering,alignment,emphasis and color missing
Lotus testfile - just without table.lwp     -   General input/output error
Lotus testfile - just without columns.lwp   -   General input/output error


related bugs:
https://bugs.documentfoundation.org/show_bug.cgi?id=71147
https://bugs.documentfoundation.org/show_bug.cgi?id=123815

Steps to Reproduce:
1. open file


Actual Results:
error opening file or missing elements/changed formatting

Expected Results:
Open the file without problems like in 3.3.4


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 cvagl455 2020-01-14 11:18:39 UTC
Created attachment 157138 [details]
testfile (with table)
Comment 2 cvagl455 2020-01-14 11:19:45 UTC
Created attachment 157140 [details]
testfile2 (with table&columns)
Comment 3 cvagl455 2020-01-14 11:20:38 UTC
Created attachment 157141 [details]
testfile2 (without columns)
Comment 4 cvagl455 2020-01-14 11:21:05 UTC
Created attachment 157142 [details]
testfile2 (without table)
Comment 5 cvagl455 2020-01-14 11:21:47 UTC
Created attachment 157143 [details]
testfile2 (without table&columns)
Comment 6 cvagl455 2020-01-14 11:23:05 UTC
Created attachment 157144 [details]
testfile - correct look in LotusWordPro
Comment 7 cvagl455 2020-01-14 11:23:42 UTC
Created attachment 157145 [details]
testfile2 - correct look in LotusWordPro
Comment 8 Xisco Faulí 2020-01-20 17:58:02 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: fc1f85127968d1c2e0a53dace51bf8a78f9e6ca5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Xisco Faulí 2020-01-20 17:58:40 UTC
but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 10 Xisco Faulí 2020-01-20 18:16:31 UTC
General input/output error reported in bug 130093
Comment 11 Xisco Faulí 2020-01-20 18:27:48 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e2080e70fe8b085f18e868e46340454720fa94ca

author	Noel Grandin <noel@peralex.com>	2014-06-18 12:14:29 +0200
committer	Noel Grandin <noel@peralex.com>	2014-06-24 11:34:21 +0200
commit	e2080e70fe8b085f18e868e46340454720fa94ca (patch)
tree	4038d1d57b41b68a47d5ebbbe6ad390648ec6303
parent	f910280b8704ed9c289150a4ca3c8d60e15d0d97 (diff)
new compilerplugin returnbyref

Bisected with: bibisect-44max

Adding Cc: to Noel Grandin
Comment 12 Commit Notification 2020-01-29 14:57:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0b113d6ebbaf923e11ba576bed2691bb68e95ae6

tdf#129993 broken tables opening LWP file

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2020-01-30 08:26:32 UTC
So, just to be clear here, the bisection in comment 11 was for attachment 157138 [details]
The problem with attachment 157140 [details] can be also reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

So let's close this issue as RESOLVED FIXED and I'll create a follow-up bug for the second testfile.

@Noel, thanks for fixing this issue.

Verified in

Version: 7.0.0.0.alpha0+
Build ID: 447e4209fa16e765d9cba9f1c80bf10e8901204c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 14 Commit Notification 2020-01-30 09:19:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/678e00d2251060b562f295a5fb3c0215b12c8042

tdf#129993 broken tables opening LWP file

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-01-30 12:53:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/bada427464a8a23625497f99d0c3bca3b4d01a96

tdf#129993 broken tables opening LWP file

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-02-04 16:12:46 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5a989074cd1f8afdc03d0ee4f2dc12b174f9aa19

tdf#129993: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 cvagl455 2020-02-10 19:57:18 UTC
Thank you very much for your hard work and sorry for the delay.

Tested                                                    6.4.0.3                        7.0.0.0alpha+
Lotus invoice test.lwp                            opens, table missing                opens, with table(!), some tabs in both lines of the header seem missing
Lotus testfile.lwp                                General input/output error.         opens, table missing
Lotus testfile - just without columns.lwp         General input/output error.         opens, table missing
Lotus testfile - just without table.lwp           General input/output error.         opens, columns missing
Lotus testfile - without table&columns.lwp                opens                              opens

In every case, bold/cursive/subscript/superscript, text color, lists, columns and text adjustment are lost.
Interestingly, underlining is lost only in Lotus testfile.lwp, but is retained in Lotus invoice test.lwp
Tables are mostly lost, but retained in "Lotus invoice test.lwp" - that is 1 in 9 cases that I tested.

Could you perhaps improve it so that the whole textual content is displayed regardless of formatting?
Or could you display a warning when importing closed formats that content might have been lost upon import and encourage users to use the original program to export important documents to formats better suited for archival?
Comment 18 cvagl455 2020-02-10 20:01:14 UTC
Can't seem to edit my post, so I'll try to fix the formatting here:

Thank you very much for your hard work and sorry for the delay.

Tested in 6.4.0.3                       
Lotus invoice test.lwp                       - opens, table missing               
Lotus testfile.lwp                           - General input/output error.        
Lotus testfile - just without columns.lwp    - General input/output error.       
Lotus testfile - just without table.lwp      - General input/output error.         
Lotus testfile - without table&columns.lwp   - opens

Tested in 7.0.0.0alpha+
Lotus invoice test.lwp                      -  opens, with table(!), some tabs in both lines of the header seem missing
Lotus testfile.lwp                          -  opens, table missing
Lotus testfile - just without columns.lwp   -  opens, table missing
Lotus testfile - just without table.lwp     -  opens, columns missing
Lotus testfile - without table&columns.lwp  -  opens

In every case, bold/cursive/subscript/superscript, text color, lists, columns and text adjustment are lost.
Interestingly, underlining is lost only in Lotus testfile.lwp, but is retained in Lotus invoice test.lwp
Tables are mostly lost, but retained in "Lotus invoice test.lwp" - that is 1 in 9 cases that I tested.

Could you perhaps improve it so that the whole textual content is displayed regardless of formatting?
Or could you display a warning when importing closed formats that content might have been lost upon import and encourage users to use the original program to export important documents to formats better suited for archival?
Comment 19 Xisco Faulí 2020-02-11 13:01:16 UTC
Hi cvagl455@t-online.de,
Could you please check if those issues has been already reported? you can search for LWP bugs, there aren't many. if you don't find any similar issue, please create a new report. This one was about the missing table, which is fixed now
Thanks